<?
if(!isset($_GET['username']) || !isset($_GET['site'])) { 
	pageNotFound();
	exit();
}

$username = mysqli_real_escape_string($dblink,$_GET['username']); 
$site = mysqli_real_escape_string($dblink,$_GET['site']); 
$siteData = dbRow("SELECT * FROM paysites WHERE slug = '".$site."'");

if(!is_array($siteData)) { 
	pageNotFound();
	exit();
}

$siteDataFull = $siteData; 
$siteDataJson = json_decode($siteData['settings_json'],true);
$rrow = dbRow("SELECT * FROM performers WHERE username = '".$username."' AND site = '".$siteData['record_num']."'");

if(isset($siteDataJson['Direct To Site']) && $siteDataJson['Direct To Site'] == 1) { 
	$thisLink = getChatroomUrl($rrow, $siteDataFull);
	header("Location: ".$thisLink);
	exit();
}


if(!is_array($rrow)) { 
	pageNotFound();
	exit();
}

if ($rrow['redirect_url']) {
    header("Location: " . $rrow['redirect_url']);
    exit();
}

if($rrow['return_code'] == 404) { 
	http_response_code(404);
	pageNotFound();
} 

if($rrow['return_code'] == 403) { 
	http_response_code(403);
	pageNotFound();
}
$rating = dbRow("SELECT * FROM ratings WHERE performer_name = '{$rrow['username']}' AND performer_site = '{$rrow['site']}'", false);

if(!is_array($rating)){
    $currentRating = 0;
    $alreadyVoted = false;
} else {
    $currentRating = ceil($rating['total_value']/$rating['total_votes']);
    $alreadyVoted = false;
    $ips = unserialize($rating['used_ips']);
    if (in_array($_SERVER['REMOTE_ADDR'], $ips)) {
        $alreadyVoted = true;
        $currentVote = dbRow("SELECT rate FROM ratings_log WHERE performer_name = '{$rrow['username']}' AND performer_site = '{$rrow['site']}' AND ip = '".$_SERVER['REMOTE_ADDR']."'");
        $currentVote = $currentVote['rate'];
    }
}

if(empty($rrow['custom_text']) && !empty($siteData['defaultModelText'])) { 
	$rrow['custom_text'] = parseDefaultModelText($siteData['defaultModelText'],$rrow); 
}

function parseDefaultModelText($string,$rrow) {
	if(strtolower($rrow['gender']) == 'f') { $rrow['gender'] = 'female'; } 
	if(strtolower($rrow['gender']) == 'm') { $rrow['gender'] = 'male'; } 
	if(strtolower($rrow['gender']) == 't') { $rrow['gender'] = 'transgender'; } 
	if(strtolower($rrow['gender']) == 'c') { $rrow['gender'] = 'couple'; } 
	$replace = array("{username}","{room_subject}","{age}","{spoken_languages}","{gender}","{race}","{hair}","{bust}","{pubic_area}","{tags}","{last_online}");
	$with = array($rrow['username'],$rrow['room_subject'],$rrow['age'],$rrow['spoken_languages'],$rrow['gender'],$rrow['race'],$rrow['hair'],$rrow['bust'],$rrow['pubic_area'],$rrow['tags'],$rrow['last_online']); 

	return str_ireplace($replace,$with,$string); 
}

//seo
$_meta['title'] = $rrow['username'];
$_meta['meta_description'] = $rrow['description'] != "" ? $rrow['description'] : $rrow['title'];
$_meta['meta_keywords'] = $rrow['keywords'];


$_template_header = 'overall_header';
$_template_content = 'performer';
$_template_footer = 'overall_footer';