<?php
//get current query string
$thisUrl = $_SERVER['REQUEST_SCHEME'] . "://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];

//sanitize $_GET;
if(is_array($_GET)) { 
	foreach($_GET as $k=>$v) { 
		if(isset($v) && !is_array($v)) { 
			$_GET[htmlentities($k)] = htmlentities($v); 
		}
	}
}

if(isset($data['query_string']) && !empty($data['query_string'])) { 
	parse_str($data['query_string'],$parsed); 
	if(is_array($parsed)) { 
		$_GET = array_merge($_GET,$parsed);
	}
}

if(isset($_GET['controller']) && ($_GET['controller'] == 'custom_url' || $_GET['controller'] == 'router')) {
	//custom url controller
	$queryString = http_build_query($_GET); 
} elseif((!isset($_GET['controller']) || $_GET['controller'] == 'index') && isset($default_query_string)) { 
	//index but default exists.
	$toParse = $_GET; 
	if(isset($toParse['controller'])) { 
		unset($toParse['controller']);
	}
	if(count($toParse) == 0) { 
		parse_str($default_query_string,$parsed); 
		if(is_array($parsed)) { 
			$finalQueryString = array_merge($toParse,$parsed);
			$queryString = http_build_query($finalQueryString); 
		} else { 
			$queryString = parse_url($thisUrl, PHP_URL_QUERY);
		}
	} else { 
		
		$queryString = parse_url($thisUrl, PHP_URL_QUERY);
	}		
} else { 
	//index file
	$queryString = parse_url($thisUrl, PHP_URL_QUERY);
}

$thisUrlNoQueryString = str_replace($queryString, "", $thisUrl);
?>
<div id='dataContent' class='row'>
    <center><img style='max-height: 150px;' src='<? echo $template_url; ?>/images/loading.gif'></center>
</div>

<?php if(isset($data['custom_text_alt'])) { echo "<p>".$data['custom_text_alt']."</p>"; } ?>

<script>
    function getPlatform() {
        var platform = ["Win32", "Android", "iOS"];
        for (var i = 0; i < platform.length; i++) {
            if (navigator.platform.indexOf(platform[i]) > -1) {
                return platform[i];
            }
        }
    }
    var eventType = getPlatform() === 'iOS' ? 'touchend' : 'click';

    $(document).ready(function () {
        /*load current query string*/
        $("#dataContent").load("<? echo $basehttp; ?>/core/ajax.loadModels.php?<?php echo $queryString; ?>", function () {
            $("#dataContent").css('height', '100%');
            setTimeout(function () {
                $("#dataContent .img-col").css('opacity', '1');;
            }, 300);
        });
        
        $('body').on(eventType, '#loadMore', function (e) {
            e.preventDefault();

            var thisPage = $(this).data("page");
            $.get("<? echo $basehttp; ?>/core/ajax.loadModels.php?<? echo $queryString; ?>&page=" + thisPage, function (thisData) {
                $(".loadMoreContainer").remove();
                $("#dataContent").append(thisData);
                setTimeout(function () {
                    $("#dataContent .img-col").css('opacity', '1');;
                }, 300);
            });
        });

    });
</script>