<?php

ini_set("zlib.output_compression", 0);  // off
ini_set("implicit_flush", 1);  // on   
ob_implicit_flush(true);
ob_end_flush();
ob_start();

include 'admin/db.php';

error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ini_set('display_errors', 1);

ignore_user_abort(true);
ini_set('memory_limit', '2G');
ini_set('max_execution_time', 3600);
set_time_limit(3600);
?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Mechbunny Cam Aggregator Update</title>
        <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootswatch/3.3.6/united/bootstrap.min.css" />
        <style type="text/css">
            .alert{margin-bottom:0}
            .notification .alert{padding:10px 15px}
        </style>
    </head>
    <body>

        <div class="container">
            <div class="well">

                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-header text-center">
                            <h1>Mechbunny Cam Aggregator Update 1.1.3</h1>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <?php
                    $run_update = true;
                    $error = false;
                    if ($_POST['startUpgrade'] && $run_update === true) {
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('SE Friendly URLs', 'Search Engine Friendly URLs', 'seFriendly', '0', '{\"true\":1,\"false\":0}', '0', 'site', '0', '', NULL);");
						dbQuery("ALTER TABLE `custom_links` ADD `showInNav` INT NOT NULL AFTER `custom_text_alt`;");
						dbQuery("ALTER TABLE `custom_links` ADD `navigationAnchor` VARCHAR(255) NOT NULL AFTER `showInNav`;");
						dbQuery("ALTER TABLE `custom_links` ADD INDEX (`showInNav`, `navigationAnchor`);");
						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`) VALUES
						('Sidebar - Custom URLs', 'Enable/Disable Custom URLs in Sidebar', 'template_sidebar_custom', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, ''),
						('Sidebar - Custom URLs Title', '', 'template_sidebar_custom_title', 'Quick Links', '', 1, 'default_v2', 0, '');");
						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`) VALUES
						('Sidebar - Custom URLs', 'Enable/Disable Custom URLs in Sidebar', 'template_sidebar_custom', '1', '{\"true\":1,\"false\":0}', 1, 'default', 0, ''),
						('Sidebar - Custom URLs Title', '', 'template_sidebar_custom_title', 'Quick Links', '', 1, 'default', 0, '');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('1', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('2', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('3', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('4', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('5', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('7', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('8', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('10', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('11', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('12', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('13', 'Direct To Site', 'Toggle going direct to target site when clicking thumb, skipping the local embed/profile page.', '{\"No\":\"0\",\"Yes\":\"1\"}');");
						dbQuery("UPDATE paysites SET preferred = 'iframe_embed_revshare' WHERE record_num = '3';");						
						if (!$error) { 
                            setMessage('<div class="alert alert-success">Upgrade completed</div>', 'alert');
                            setMessage('<div class="alert alert-warning"><strong>WARNING: remove "update.php" file from your server!</strong></div>', 'alert');
                        }
                        setMessage('<div class="alert alert-info"><a href="' . $basehttp . '">Go to homepage</a> or <a href="' . $basehttp . '/admin/">go to Admin Area</a></div>', 'alert');
                    }
                    ?>

                    <?php echo getMessages(); ?>
                </div>
                <?php if ($run_update === true && !$_POST['startUpgrade']) { ?>
                    <div class="row">
                        <div class="col-xs-12">
                            <form action="" method="post" class="text-center">
                                <input type="hidden" name="startUpgrade" value="1">
                                <button type="submit" class="btn btn-primary btn-lg">Start upgrade</button>
                            </form>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>

    </body>
</html>
<?php ob_flush(); flush(); ?>
